# Coverage for Doctrine_Template_I18n

Back to coverage report

1 | <?php
2 | /*
3 | * $Id$
4 | *
5 | * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
6 | * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
7 | * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
8 | * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
9 | * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
10 | * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
11 | * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
12 | * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
13 | * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
14 | * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
15 | * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
16 | *
17 | * This software consists of voluntary contributions made by many individuals
18 | * and is licensed under the LGPL. For more information, see
19 | * <http://www.phpdoctrine.org>.
20 | */
21 |
22 | /**
23 | * Doctrine_Template_I18n
24 | *
25 | * @package Doctrine
26 | * @subpackage Template
27 | * @license http://www.opensource.org/licenses/lgpl-license.php LGPL
28 | * @link www.phpdoctrine.org
29 | * @since 1.0
30 | * @version $Revision$
31 | * @author Konsta Vesterinen <kvesteri@cc.hut.fi>
32 | */
33 | class Doctrine_Template_I18n extends Doctrine_Template
34 | {
35 | /**
36 | * __construct
37 | *
38 | * @param string $array
39 | * @return void
40 | */
41 | public function __construct(array $options = array())
42 | {
43 | $this->_plugin = new Doctrine_I18n($options);
44 | }
45 | /**
46 | * setUp
47 | *
48 | * @return void
49 | */
50 | public function setUp()
51 | {
52 | $name = $this->_table->getComponentName();
53 |
54 | $this->_plugin->buildPluginDefinition($this->_table);
55 |
56 | $className = $this->_plugin->getOption('className');
57 |
58 | $id = $this->_table->getIdentifier();
59 |
60 | $this->hasMany($className . ' as Translation', array('local' => $id, 'foreign' => $id));
61 | }
62 |
63 | /**
64 | * getI18n
65 | *
66 | * @return void
67 | */
68 | public function getI18n()
69 | {
70 | return $this->_plugin;
71 | }
72 | }